exec.cpp File Reference
`#include <core/posix/exec.h>`
`#include <core/posix/fork.h>`
`#include <core/posix/standard_stream.h>`
`#include <iostream>`
`#include <cstring>`
`#include <unistd.h>`
Include dependency graph for exec.cpp:

Go to the source code of this file.

## Namespaces

| core
| core::posix

## Functions

CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::exec (const std::string &fn, const std::vector< std::string > &argv, const std::map< std::string, std::string > &env, const StandardStream &flags)
| exec execve's the executable with the provided arguments and environment. More...
CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::exec (const std::string &fn, const std::vector< std::string > &argv, const std::map< std::string, std::string > &env, const StandardStream &flags, const std::function< void()> &child_setup)
| exec execve's the executable with the provided arguments and environment. More...